return {
  "nvim-treesitter/nvim-treesitter",
  event = { "BufReadPost", "BufNewFile" },
  build = function()
    pcall(vim.cmd, "TSUpdate")
  end,
  opts = {
    ensure_installed = {
      "lua",
      "python",
      "c",
      "cpp",
      "bash",
      "json",
      "markdown",
    },
    highlight = { enable = true },
    indent = { enable = true },
  },
}

